var textToCopyToClipboard = "";

(function() {
    installCopyToClipboardActionHandler();

    function installCopyToClipboardActionHandler() {
        var isIe =
            (navigator.userAgent.toLowerCase().indexOf("msie") != -1 
            || navigator.userAgent.toLowerCase().indexOf("trident") != -1);

        document.addEventListener('copy', function(e) {
            if (isIe)
                window.clipboardData.setData('Text', textToCopyToClipboard);
            else
                e.clipboardData.setData('text/plain', textToCopyToClipboard);

            e.preventDefault();
        });
    }
})();
