var csvSeparator = '\t';

function csvLocationsElevationsDistances(locations, elevations, distances) {
    //console.log('elevations: ', JSON.stringify(elevations));
    //console.log('distances: ', JSON.stringify(distances));
    
    var csvData = "";
    csvData += '# Δείκτη' + csvSeparator;
    csvData += 'Γεωγρ. πλάτος (°)' + csvSeparator;
    csvData += 'Γεωγρ. μήκος (°)' + csvSeparator;
    csvData += 'Απόσταση (km)' + csvSeparator;
    csvData += 'Υψόμετρο (m)\n';

    var elevationCount = elevations.length;
    for (var i = 0; i < elevationCount; i++) {
        csvData += (i+1) + csvSeparator;
        csvData += localizedNum(locations[i].lat()) + csvSeparator;
        csvData += localizedNum(locations[i].lng()) + csvSeparator;
        csvData += localizedNum(distances[i]) + csvSeparator;
        csvData += localizedNum(elevations[i]) + '\n';
    }
    
    return csvData;
}